summaryrefslogtreecommitdiff
path: root/net:anevia.com/user:hhiegel/Functions.zsh
diff options
context:
space:
mode:
authorHugues Hiegel <hugues.hiegel@anevia.com>2015-04-01 10:42:29 +0200
committerHugues Hiegel <hugues.hiegel@anevia.com>2015-04-01 10:42:29 +0200
commit6813d7633ca9333c837812a41bdd8411760a59d0 (patch)
treea2f1421aa7130b52613e7b0fe48646e2cd0fca26 /net:anevia.com/user:hhiegel/Functions.zsh
parentc367bb44bfdacbd3c7e7e6859400894217d5903e (diff)
parentc2900a4a2a459e57730133e97a368754a49599b1 (diff)
Merge branch 'git'
Diffstat (limited to 'net:anevia.com/user:hhiegel/Functions.zsh')
-rw-r--r--net:anevia.com/user:hhiegel/Functions.zsh20
1 files changed, 20 insertions, 0 deletions
diff --git a/net:anevia.com/user:hhiegel/Functions.zsh b/net:anevia.com/user:hhiegel/Functions.zsh
new file mode 100644
index 0000000..021fa56
--- /dev/null
+++ b/net:anevia.com/user:hhiegel/Functions.zsh
@@ -0,0 +1,20 @@
+
+__debian_dist() {
+
+ [ -e ~/.pbuilderrc ] || return
+
+ _dist=${DIST:-$(awk < ~/.pbuilderrc '/DIST:=/ { gsub(/^.*{DIST:=/, "") ; gsub(/}$/, "") ; print ; exit }')}
+ print -Pn $C_${_env_colors[dist_$_dist]:-$_env_colors[dist_none]}
+ ( export | grep -q '^DIST=' ) && print -Pn ";"$color[bold]
+ print -Pn $_C
+ print -n $_dist
+
+ print -Pn $C_"38;5;33"$_C"-"
+
+ _base=${BASE:-$(awk < ~/.pbuilderrc '/BASE:=/ { gsub(/^.*{BASE:=/, "") ; gsub(/}$/, "") ; print ; exit }')}
+ print -Pn $C_${_env_colors[base_$_base]:-$_env_colors[base_none]}
+ ( export | grep -q '^BASE=' ) && print -Pn ";"$color[bold]
+ print -Pn $_C
+ print -n $_base
+}
+